<script setup lang="ts">
import type { FieldDefinition } from "./types";

const props = defineProps<{
  field: FieldDefinition;
  modelValue?: unknown;
  error?: string;
}>();

defineEmits<{
  "update:modelValue": [value: string];
}>();
</script>

<template>
  <input
    type="hidden"
    :id="field.name"
    :name="field.name"
    :value="props.modelValue as string"
  />
</template>
